Delete image choice
DELETE
/multiple-choice/{id}/image-choice/{choiceId}
const url = 'https://app.surveyrock.com/api/v1/multiple-choice/example/image-choice/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.surveyrock.com/api/v1/multiple-choice/example/image-choice/example \ --header 'Authorization: Bearer <token>'Delete an image choice option (includes S3 cleanup)
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Multiple choice element ID
choiceId
required
string
Image choice ID to delete
Responses
Section titled “Responses”Image choice deleted successfully
Media typeapplication/json
object
success
boolean
data
object
deletedAt
string format: date-time
meta
Standard response metadata
object
timestamp
Response timestamp in ISO 8601 format
string format: date-time
version
API version
string
requestId
Unique request identifier
string
Example
{ "success": true, "meta": { "version": "3.0" }}